Fetch Deposits / Payouts

A deposit is when you receive funds from QorCommerce. You can retrieve individual deposits, as well as list all deposits. Deposits are made on varying schedules, depending on your payout schedule and industry.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

If Processing through certain processors, you may query for a list of deposits by providing the year of the deposits and the status of the deposit as the final two path parameters /{year}/{status} - status defaults to a 3 - or filter the query using Query parameter values

Filter Parameters

The following filter parameters are available for this query.

parameterdescription
start_dateSearch for transactions beginning on a particular date. Format date as a mm/dd/yy string.

  • Example: "01/01/18"
Default is the date for the first transaction in DB. By default the start_date is ignored
end_dateSearch for transactions ending on a particular date. Format date as a mm/dd/yy string.

  • Example: "04/01/18"
Default is the date for the most recent transaction in DB. By default the end_date is ignored.
amountSearch for a specific amount. Format as a string with whole numbers and up to two decimals as necessary.

  • Example: $12.00 = "12" or "12.0" or "12.00"

  • Example: $18.40 = "18.4" or "18.40"

  • Example: $48.98 = "48.98"
By default the amount is ignored.
amount_fromSearch for a "from amount" to return all transactions equal to or greater than value entered. Format as a string with whole numbers and up to two decimals as necessary.

  • Example: $12.00 = "12" or "12.0" or "12.00"

  • Example: $18.40 = "18.4" or "18.40"

  • Example: $48.98 = "48.98"
By default the amount_from is ignored. If value provided here, any value in the amount query parameter will be ignored.
amount_toSearch for a "to amount" to return all transactions equal to or less than the value entered. Format as a string with whole numbers and up to two decimals as necessary.

  • Example: $12.00 = "12" or "12.0" or "12.00"

  • Example: $18.40 = "18.4" or "18.40"

  • Example: $48.98 = "48.98"
By default the amount_to is ignored. If value provided here, any value in the amount query parameter will be ignored.
limitThe number of results to return when viewing a page. See PAGING below for more details.
The default is 40
skipThe number of results to skip before returning results. See PAGING below for more details.
The default is 0

Paging

This endpoint provides query filter parameters allowing you to limit the number of results returned when fetching the deposit list.

  • limit - The number of results to return when viewing a page. For example, setting limit to 20 means that, at most, 20 results will be returned in the request.
  • skip - The number of results to skip before returning results. For example, setting skip to 20 means that the API will discard the first 20 results.

By using these two parameters you can efficiently “page” through results, only returning items that are within the requested bounds.

To demonstrate, let’s use the parameters to display the first page of your deposit results:

`GET /deposits/{year}/{status}/?limit=20&skip=0`

Since the offset is set to 0, the API will not discard any results. Paired with a limit of 20, we will only see the first 20 results (1 through 20).

`GET /deposits/{year}/{status}?limit=20&skip=20`

By setting an offset of 20, the API will discard the first 20 results. Paired again with a limit of 20, we will see the second page of results (21 through 40).

The Maximum number of deposits returned per API call is 250. If you require more than 250 then you should use the limit and offset parameters above.

Path Params
string
required
string
required
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json